MEINPROC5(8)

NAME
meinproc5 - KDE vertaler voor XML

SAMENVATTING

meinproc5 [-h, --help] [-v, --version] [--cache bestand] [--check] [--srcdir map] [--param sleutelwoord=waarde] [[[-o] | [--output]] bestand] [--stdout] [--stylesheet xsl] docbook_bestand

BESCHRIJVING

meinproc5 converteert DocBook-bestanden naar HTML.

ALGEMENE OPTIES

-h--help
    Hulp over de opties tonen.

-v--version
    Versie-informatie tonen

PROGRAMMAOPTIES

--cache bestand
    Bufferbestand aanmaken voor het document

--check
    Geldigheid van het document controleren

        De uitvoer kan enigszins uitdagend zijn, omdat één kleine fout een waterval van fouten kan veroorzaken.
        De truc is om naar de eerste fout te kijken, die verbeteren, het bestand opslaan en meinproc5 opnieuw uitvoeren.

-o, --output bestand
    Gehele document uitvoeren naar bestand.

--stdout
    Gehele document uitvoeren naar stdout.

--stylesheet xsl
    Te gebruiken stijlblad

--srcdir map
    Stel de hoofdmap in om te zoeken naar kdoctools

--param key=waarde
    Stel parameters in om door te geven aan het stijlblad.

GEBRUIK

De meest gewone manier om meinproc5 uit te voeren is gewoon als

    meinproc5 docbook-bestand

waar docbook-bestand meestal index.docbook is. Dit commando maakt HTML-pagina's aan uit het DocBook-bestand. Opmerking: deze pagina's zijn alleen in te zien in de op KDE gebaseerde browsers (zoals Konqueror).

Als u de HTML-uitvoer in een andere browser wilt zien (bijvoorbeeld, als u het online zet), gebruik dan

    meinproc5 --stylesheet stylesheet-naam docbook-bestand

waar stylesheet-naam het volledige pad is naar een van de XSL-stijlbladen in <kdoctools_installatie_prefix>/share/kf5/kdoctools/customization/. Om uitvoer te maken dat geschikt is voor het web, kunt u het commando kde-web.xsl of kde-chunk-online.xsl gebruiken. Zie het bestand README in die map voor meer details.

ZIE OOK

kf5opties(7), qt5opties(7)

FOUTEN/BUGS

Er zijn waarschijnlijk vele bugs. Gebruik bugs.kde.org[1] om ze te rapporteren.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org